# Index Rates

This utility function is used for managing index interest rates (for example, a rate that is pegged to the prime rate
of the Fed). Index Interest Rates are set at the loan type level and can be used by loans associated with the loanTypeId.
Index Interest Rates are only relevant to interest rates and not relevant to promo rates.

Index Interest Rate values can be updated with a new value with an effective date in the past. When a new Index Interest
Rate value is set, the previous rate end date will be set to one calendar day before the new rate's effective date.
If the new rate's effective date is in the past, the Peach system will replay all Active loans (to clarify, Active loans
at the time of Index Interest Rate update) with the new Index Interest Rate value and re-accrue loans' interest.

 - [GET /loan-types/{loanTypeId}/index-rates](https://docs.peachfinance.com/api-docs/api-public/index-rates/peach.loan_configuration.handlers.loan_type_index_rate_get_all.md)
 - [POST /loan-types/{loanTypeId}/index-rates](https://docs.peachfinance.com/api-docs/api-public/index-rates/peach.loan_configuration.handlers.loan_type_index_rate_add.md)
 - [DELETE /loan-types/{loanTypeId}/index-rates/{indexRateId}](https://docs.peachfinance.com/api-docs/api-public/index-rates/peach.loan_configuration.handlers.loan_type_index_rate_delete.md)
 - [GET /loan-types/{loanTypeId}/index-rates/{indexRateId}](https://docs.peachfinance.com/api-docs/api-public/index-rates/peach.loan_configuration.handlers.loan_type_index_rate_get.md)
 - [PUT /loan-types/{loanTypeId}/index-rates/{indexRateId}](https://docs.peachfinance.com/api-docs/api-public/index-rates/peach.loan_configuration.handlers.loan_type_index_rate_update.md): This endpoint is used for updating index interest rates.
